## mbw 1.1.1

=== Makefile ===
CFLAGS=-O -Wall -g
NAME=mbw

mbw: mbw.c

clean:
	rm -f mbw
	rm -f ${NAME}.tar.gz

rpm: clean
	 tar cCzf .. ${NAME}.tar.gz ${NAME}
	 rpmbuild -ta ${NAME}.tar.gz

## mbw 1.2.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=-O -Wall -g
+#CFLAGS=-O2 -Wall -g
 NAME=mbw
 
 mbw: mbw.c

=== debian/changelog ===
mbw (1.2.2-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1043213)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #916488)

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 12:18:55 +0000

mbw (1.2.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Add build-{arch,indep} (Closes: #999328).

 -- Marcos Talau <talau@debian.org>  Thu, 03 Nov 2022 18:45:56 -0300

mbw (1.2.2-1) unstable; urgency=low

  * New release correcting a bug.

 -- Emmanuel QUEMENER <emmanuel.quemener@free.fr>  Sun, 15 Apr 2012 08:37:55 +0200

mbw (1.1.1-1.2) unstable; urgency=low

  [ Emmanuel QUEMENER ]
  * Modify manual page syntax error.
  * Modify rules to remove deprecated reference option on dh_clean.

 -- Emmanuel QUEMENER <emmanuel.quemener@free.fr>  Wed, 04 Nov 2009 07:41:56 +0100

mbw (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: bug#510680).

 -- Emmanuel QUEMENER <emmanuel.quemener@free.fr>  Thu, 01 Jan 2009 22:15:04 +0100

=== debian/control ===
Source: mbw
Section: utils
Priority: extra
Maintainer: Emmanuel QUEMENER <emmanuel.quemener@free.fr>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://ahorvath.web.cern.ch/ahorvath/mbw/

Package: mbw
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: memory bandwidth benchmark program
 MBW determines the "copy" memory bandwidth available to userspace programs.
 Its simplistic approach models that of real applications.
 It is not tuned to extremes and it is not aware of hardware architecture, 
 just like your average software package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

 
build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	CFLAGS="$(CFLAGS)" dh_auto_build
	#docbook-to-man debian/mbw.sgml > mbw.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	#dh_clean -k 
	dh_prep 
	dh_installdirs

	# Add here commands to install the package into debian/mbw.
	# $(MAKE) DESTDIR=$(CURDIR)/debian/mbw install
	cp mbw $(CURDIR)/debian/mbw/usr/bin


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman mbw.1
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install configure

## mbw 2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)

project(mbw VERSION 1.5 LANGUAGES C)

add_executable(mbw mbw.c)
install(TARGETS mbw DESTINATION bin)

=== Makefile ===
#CFLAGS=-O2 -Wall -g
NAME=mbw
TARFILE=${NAME}.tar.gz

mbw: mbw.c

clean:
	rm -f mbw
	rm -f ${NAME}.tar.gz

${TARFILE}: clean
	 tar cCzf .. ${NAME}.tar.gz --exclude-vcs ${NAME} || true

rpm: ${TARFILE}
	 rpmbuild -ta ${NAME}.tar.gz

=== debian/changelog ===
mbw (2.0-1) unstable; urgency=medium

  * QA upload.
    Closes: #1115071
  * New upstream version
    Closes: #1111382
  * Fix Homepage
  * Add watch file
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * d/rules: Short dh
  * d/copyright:
     - DEP5
     - Review

 -- Andreas Tille <tille@debian.org>  Mon, 06 Oct 2025 17:47:54 +0200

=== debian/control ===
Source: mbw
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: utils
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/mbw
Vcs-Git: https://salsa.debian.org/debian/mbw.git
Homepage: https://github.com/raas/mbw

Package: mbw
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: memory bandwidth benchmark program
 MBW determines the "copy" memory bandwidth available to userspace programs.
 Its simplistic approach models that of real applications.
 It is not tuned to extremes and it is not aware of hardware architecture,
 just like your average software package.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_build:
	CFLAGS="$(CFLAGS)" dh_auto_build
	#docbook-to-man debian/mbw.sgml > mbw.1

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/raas/mbw/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
